Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class EnterBBOXPortletPerform

    java.lang.Object
      org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
          org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
              org.deegree.portal.portlet.modules.map.actions.portlets.EnterBBOXPortletPerform

    public class EnterBBOXPortletPerform

extends IGeoPortalPortletPerform

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
`PARAM_BBOX, PARAM_LAYER, PARAM_MAPMODE, PARAM_SESSIONID, PARAM_STYLE, sc, SESSION_HISTORY, SESSION_HISTORYPOSITION, vcMap`

Fields inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`AVAILABLE_WMC, CURRENT_WMC, CURRENT_WMC_NAME, INIT_MAPPORTLETID, INIT_WMC, PARAM_MAPACTION, PARAM_MAPPORTLET, PARAM_MODE, parameter, portlet, request, SESSION_CURRENTFILAYER, SESSION_HOME, SESSION_VIEWCONTEXT`

Constructor Summary
`EnterBBOXPortletPerform(javax.servlet.http.HttpServletRequest request, org.apache.jetspeed.portal.Portlet portlet, javax.servlet.ServletContext sc)`

Method Summary

Methods inherited from class org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
`getCurrentMapContextName, getCurrentMapContextName, getCurrentViewContext, getCurrentViewContext, getNamedViewContext, getNamedViewContext, setBoundingBox, setBoundingBox, setBoundingBoxFromBBOXParam, setCurrentMapContext, setCurrentMapContext, setCurrentMapContextName, setCurrentMapContextName, setLayers, setMode, setNameContext, setNameContext, updateContext`

Methods inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`buildNormalContext, getInitParam, getMapPortletID, readMapContextID_`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterBBOXPortletPerform

    public EnterBBOXPortletPerform(javax.servlet.http.HttpServletRequest request,
                                   org.apache.jetspeed.portal.Portlet portlet,
                                   javax.servlet.ServletContext sc)

Parameters:
  `request` -
  `portlet` -
  `sc` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org